Get the workspace's contact reveal credit balance
curl --request GET \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contact-credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contact-credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contact-credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"used": 100,
"total": 600,
"remaining": 500,
"free_credits": 100,
"email_credits_used": 60,
"phone_credits_used": 40,
"cycle_starts_at": "2026-09-09T00:00:00+00:00",
"cycle_ends_at": "2026-10-09T00:00:00+00:00",
"package": {
"status": "active",
"plan": {
"currency": "eur",
"credits": 500,
"period": "monthly"
},
"on_grace_period": false,
"ends_at": null
}
}
}Workspaces
Get the workspace's contact reveal credit balance
The credits available for revealing contact emails and phone numbers in the current billing cycle, how many have been used, and when the cycle resets. Agency partners can read this for each of their client workspaces.
GET
/
v1
/
workspaces
/
{workspaceUuid}
/
contact-credits
Get the workspace's contact reveal credit balance
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
UUID of the workspace
Example:
"550e8400-e29b-41d4-a716-446655440000"